summaryrefslogtreecommitdiffstats
path: root/system/btop/btop.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/btop/btop.SlackBuild')
-rw-r--r--system/btop/btop.SlackBuild22
1 files changed, 11 insertions, 11 deletions
diff --git a/system/btop/btop.SlackBuild b/system/btop/btop.SlackBuild
index d3041c5202..1550e7d93c 100644
--- a/system/btop/btop.SlackBuild
+++ b/system/btop/btop.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for btop
-# Copyright 2022 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2022-2024 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,12 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20230203 bkw: fix PRINT_PACKAGE_NAME, add doinst.sh for desktop/icons.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=btop
-VERSION=${VERSION:-1.2.3}
+VERSION=${VERSION:-1.3.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -48,16 +51,12 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
fi
set -e
@@ -71,12 +70,12 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
-sed -i "s|-O2|$SLKCFLAGS|" Makefile
-make PREFIX=/usr all
+sed -i "s|-O2|$SLKCFLAGS|" Makefile || exit 1
+LDFLAGS=-ldl make PREFIX=/usr all
make PREFIX=/usr install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
@@ -88,6 +87,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE